import {OrderPayStatus, OrderStatus} from './const/order';

import buttonGroup from './data/button-group';

import titleData from './data/title';

import updateConfig from "./data/updateConfig";

export default {

    // 获取按钮合集
    getButtonGroup(status:OrderPayStatus,type:OrderStatus = OrderStatus.placeOrder){
        return buttonGroup[type][status];
    },

    // 获取订单状态名称
    getStatusName(status:OrderPayStatus,type:OrderStatus = OrderStatus.placeOrder) {
        return titleData[type][status];
    },

    // 获取更新配置
    getUpdateConfig(type:OrderStatus = OrderStatus.placeOrder) {
        return updateConfig[type];
    }


}